Package classycle.renderer

# Class XMLClassRenderer

java.lang.Object
classycle.renderer.XMLAtomicVertexRenderer
classycle.renderer.XMLClassRenderer

All Implemented Interfaces:
  `AtomicVertexRenderer`

public class XMLClassRenderer extends XMLAtomicVertexRenderer
XML renderer of an `AtomicVertex` with `ClassAttributes`.

Author:
  Franz-Josef Elmer

## Constructor Summary

Constructors
Constructor
Description
`XMLClassRenderer()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getElement()`
`protected String`
`getRefElement()`
`protected AtomicVertexRenderer`
`getVertexRenderer()`

### Methods inherited from class classycle.renderer.XMLAtomicVertexRenderer

`render`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XMLClassRenderer

public XMLClassRenderer()

## Method Details

### getElement

protected String getElement()

Specified by:
  `getElement` in class `XMLAtomicVertexRenderer`

### getRefElement

protected String getRefElement()

Specified by:
  `getRefElement` in class `XMLAtomicVertexRenderer`

### getVertexRenderer

protected AtomicVertexRenderer getVertexRenderer()

Specified by:
  `getVertexRenderer` in class `XMLAtomicVertexRenderer`